package com.ruoyi.business.domain;


import com.ruoyi.common.core.domain.BaseEntity;

public class QRCode extends BaseEntity
    {
        /// <summary>
        /// 物料编号
        /// </summary>
        private String goodsid;
        /// <summary>
        /// 供应商代码
        /// </summary>
        private String providerId;
        /// <summary>
        /// 批次号
        /// </summary>
        private String batchesNo;
        /// <summary>
        /// 生产日期
        /// </summary>
        private String mfg;
        /// <summary>
        /// 失效日期
        /// </summary>
        private String xprd;
        /// <summary>
        /// 订单编号
        /// </summary>
        private String orderNo;
        /// <summary>
        /// 物料数量
        /// </summary>
        private String qty;
        /// <summary>
        /// 小包装的流水序号，格式位固定4位数字
        /// </summary>
        private String seq;
        /// <summary>
        /// 预留字段
        /// </summary>
        private String reserved;

        private String ctl;

        private String wgh;

        private String converyorId;

        public String getCtl() {
            return ctl;
        }

        public void setCtl(String ctl) {
            this.ctl = ctl;
        }

        public String getWgh() {
            return wgh;
        }

        public void setWgh(String wgh) {
            this.wgh = wgh;
        }

        public String getConveryorId() {
            return converyorId;
        }

        public void setConveryorId(String converyorId) {
            this.converyorId = converyorId;
        }

        public String getGoodsid() {
            return goodsid;
        }

        public void setGoodsid(String goodsid) {
            this.goodsid = goodsid;
        }

        public String getProviderId() {
            return providerId;
        }

        public void setProviderId(String providerId) {
            this.providerId = providerId;
        }

        public String getBatchesNo() {
            return batchesNo;
        }

        public void setBatchesNo(String batchesNo) {
            this.batchesNo = batchesNo;
        }

        public String getMfg() {
            return mfg;
        }

        public void setMfg(String mfg) {
            this.mfg = mfg;
        }

        public String getXprd() {
            return xprd;
        }

        public void setXprd(String xprd) {
            this.xprd = xprd;
        }

        public String getOrderNo() {
            return orderNo;
        }

        public void setOrderNo(String orderNo) {
            this.orderNo = orderNo;
        }

        public String getQty() {
            return qty;
        }

        public void setQty(String qty) {
            this.qty = qty;
        }

        public String getSeq() {
            return seq;
        }

        public void setSeq(String seq) {
            this.seq = seq;
        }

        public String getReserved() {
            return reserved;
        }

        public void setReserved(String reserved) {
            this.reserved = reserved;
        }
    }